Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 492278 - x11-misc/x11vnc-0.9.13 - add support for disabling IPV6
Summary: x11-misc/x11vnc-0.9.13 - add support for disabling IPV6
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Alex Xu (Hello71)
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2013-11-22 08:42 UTC by gerardo@gnuardo.com
Modified: 2015-05-13 23:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to add the possibility of disabling ipv6. (x11vnc-0.9.13.ebuild.patch,1.25 KB, patch)
2013-11-22 08:45 UTC, gerardo@gnuardo.com
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gerardo@gnuardo.com 2013-11-22 08:42:55 UTC
Added IUSE ipv6, you now could emerge x11vnc without ipv6 in case you want :).
Previous results when I want to launch x11vnc against i586-uclibc without ipv6 support:
can't resolve symbol 'in6addr_any'


Reproducible: Always

Steps to Reproduce:
1. ~# i586-pc-linux-uclibc-emerge x11vnc
2. ~# x11vnc

Actual Results:  
~# x11vnc can't resolve symbol 'in6addr_any'

Expected Results:  
~# x11vnc
...
22/11/2013 08:41:25 x11vnc version: 0.9.13 lastmod: 2011-08-10  pid: 1366
...


diff -urN x11vnc-0.9.13.ebuild.orig x11vnc-0.9.13.ebuild
--- x11vnc-0.9.13.ebuild.orig   2013-11-22 07:26:03.925558647 +0100
+++ x11vnc-0.9.13.ebuild        2013-11-22 08:32:56.624971971 +0100
@@ -4,7 +4,7 @@
 
 EAPI="4"
 
-inherit eutils
+inherit eutils flag-o-matic
 
 DESCRIPTION="A VNC server for real X displays"
 HOMEPAGE="http://www.karlrunge.com/x11vnc/"
@@ -13,7 +13,7 @@
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
-IUSE="avahi crypt fbcon +jpeg ssl system-libvncserver threads tk xinerama +zlib"
+IUSE="avahi crypt fbcon +jpeg ssl system-libvncserver threads tk xinerama +zlib ipv6"
 
 RDEPEND="system-libvncserver? ( >=net-libs/libvncserver-0.9.7[threads=,jpeg=,zlib=] )
        !system-libvncserver? (
@@ -52,6 +52,9 @@
 
 src_configure() {
        # --without-v4l because of missing video4linux 2.x support wrt #389079
+    if ! use ipv6; then
+               append-cppflags -DX11VNC_IPV6=0
+       fi
        econf \
                $(use_with system-libvncserver) \
                $(use_with avahi) \
@@ -63,7 +66,8 @@
                $(use_with jpeg) \
                $(use_with zlib) \
                $(use_with threads pthread) \
-               $(use_with fbcon fbdev)
+               $(use_with fbcon fbdev) \
+               $(use_with ipv6) 
 }
Comment 1 gerardo@gnuardo.com 2013-11-22 08:45:56 UTC
Created attachment 363786 [details, diff]
Patch to add the possibility of disabling ipv6.
Comment 2 Alex Xu (Hello71) 2015-04-04 20:49:28 UTC
1. i586 what?

2. sort IUSE. might as well sort the use_withs too while you're at it.

3. fix indentation. tabs always in ebuilds
Comment 3 Alex Xu (Hello71) 2015-05-13 23:02:32 UTC
I think it's maybe not worth it to support an arcane toolchain. uclibc appears to support ipv6 now anyways.